{
 "cells": [
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "compare the new and old output to find problems"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {},
   "outputs": [],
   "source": [
    "import pandas as pd"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {},
   "outputs": [],
   "source": [
    "old = pd.read_excel('./travelogues_extraction/script/old_output_for_comparision/TravelogueD18_script_output_2020-07-13-10 20 28_20200707.xlsx', types=str)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 3,
   "metadata": {},
   "outputs": [],
   "source": [
    "old.index = old.Systemnummer"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<style scoped>\n",
       "    .dataframe tbody tr th:only-of-type {\n",
       "        vertical-align: middle;\n",
       "    }\n",
       "\n",
       "    .dataframe tbody tr th {\n",
       "        vertical-align: top;\n",
       "    }\n",
       "\n",
       "    .dataframe thead th {\n",
       "        text-align: right;\n",
       "    }\n",
       "</style>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>Systemnummer</th>\n",
       "      <th>MMS-ID</th>\n",
       "      <th>Volltext</th>\n",
       "      <th>Barcode</th>\n",
       "      <th>Verfasser ; GND-ID</th>\n",
       "      <th>Werktitel</th>\n",
       "      <th>Reihentitel ; Bandzählung</th>\n",
       "      <th>Haupttitel ; Titelzusatz ; Verantwortlichkeitsangabe</th>\n",
       "      <th>Bandzählung ; Titel des Bandes</th>\n",
       "      <th>Ausgabe</th>\n",
       "      <th>...</th>\n",
       "      <th>Widmungsempfänger ; GND-ID</th>\n",
       "      <th>Art des Inhalts</th>\n",
       "      <th>Inhalt</th>\n",
       "      <th>Werke in Relation</th>\n",
       "      <th>Schlagworte</th>\n",
       "      <th>Marker</th>\n",
       "      <th>Zusammenstellung</th>\n",
       "      <th>Signatur</th>\n",
       "      <th>Standort</th>\n",
       "      <th>VD17</th>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Systemnummer</th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>AC03114611</th>\n",
       "      <td>AC03114611</td>\n",
       "      <td>990004456580603338</td>\n",
       "      <td>http://data.onb.ac.at/ABO/%2BZ42124907</td>\n",
       "      <td>Z42124907</td>\n",
       "      <td>Keate, George 100176542</td>\n",
       "      <td>Account of the Pelew islands; 1788; http://via...</td>\n",
       "      <td>Neuere Geschichte der See- und Land-Reisen; Er...</td>\n",
       "      <td>Nachrichten von den Pelew=Jnseln in der Westge...</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>...</td>\n",
       "      <td>Friedrich Wilhelm; https://d-nb.info/gnd/11869...</td>\n",
       "      <td>Reisebericht</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Palauinseln; Entdeckung; Reisebericht 1783; En...</td>\n",
       "      <td>TravelogueD18 Ozeanien</td>\n",
       "      <td>NaN</td>\n",
       "      <td>361949-B.1; MAG .- UNASSIGNED .- UNASSIGNED</td>\n",
       "      <td>ZKAR</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>AC03826205</th>\n",
       "      <td>AC03826205</td>\n",
       "      <td>990005906350603338</td>\n",
       "      <td>http://data.onb.ac.at/ABO/%2BZ59423102;\\nhttp:...</td>\n",
       "      <td>Z59423102;\\nZ171040301</td>\n",
       "      <td>Phillip, Arthur https://d-nb.info/gnd/118982796</td>\n",
       "      <td>&lt;&lt;The&gt;&gt; voyage of Governor Phillip to Botany B...</td>\n",
       "      <td>Magazin von merkwürdigen neuen Reisebeschreibu...</td>\n",
       "      <td>Gouverneur Phillips Reise nach Neu=Südwallis; ...</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>...</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Reisebericht</td>\n",
       "      <td>Shortlands, Watts und Marshalls Rückreisen von...</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Phillip, Arthur; New South Wales; Reisebericht...</td>\n",
       "      <td>TravelogueD18 Ozeanien</td>\n",
       "      <td>Zusammenstellung: ohne übergeordnetem Titel vo...</td>\n",
       "      <td>303755-A.1; MAG .- 276879-A.1; MAG .- 276879-A...</td>\n",
       "      <td>ZFID; ZALT</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>AC09792500</th>\n",
       "      <td>AC09792500</td>\n",
       "      <td>990029473670603338</td>\n",
       "      <td>http://data.onb.ac.at/ABO/%2BZ148207602</td>\n",
       "      <td>Z148207602</td>\n",
       "      <td>Cranz, David https://d-nb.info/gnd/116717548</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Bibliothek der neuesten Reisebeschreibungen; E...</td>\n",
       "      <td>&lt;&lt;David Cranz&gt;&gt; Historie von Grönland enthalte...</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Zweite Ausgabe</td>\n",
       "      <td>...</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Grönland; Geschichte 1761-1762; Reise; Topografie</td>\n",
       "      <td>TravelogueD18 Arktis</td>\n",
       "      <td>NaN</td>\n",
       "      <td>251329-B.1; MAG</td>\n",
       "      <td>ZFID</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>AC09836279</th>\n",
       "      <td>AC09836279</td>\n",
       "      <td>990029921640603338</td>\n",
       "      <td>http://data.onb.ac.at/ABO/%2BZ124931607</td>\n",
       "      <td>Z124931607</td>\n",
       "      <td>Ellis, Henry https://d-nb.info/gnd/119218666</td>\n",
       "      <td>&lt;&lt;A&gt;&gt; voyage to Hudson's-Bay, by the Dobbs Gal...</td>\n",
       "      <td>Sammlung neuer und merkwürdiger Reisen zu Wass...</td>\n",
       "      <td>Reise nach Hudsons Meerbusen,; welche von zwey...</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>...</td>\n",
       "      <td>Friedrich Ludwig; https://d-nb.info/gnd/120667886</td>\n",
       "      <td>Reisebericht</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Forschungsreise; Hudson-Baygebiet; Moore, Will...</td>\n",
       "      <td>TravelogueD18 Nordamerika</td>\n",
       "      <td>NaN</td>\n",
       "      <td>251276-B.1; MAG .- 361.900-B.Kar-; UNASSIGNED</td>\n",
       "      <td>ZFID; ZKAR</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>AC07705435</th>\n",
       "      <td>AC07705435</td>\n",
       "      <td>990016481420603338</td>\n",
       "      <td>http://data.onb.ac.at/ABO/%2BZ69824303</td>\n",
       "      <td>Z69824303</td>\n",
       "      <td>Le Gentil de la Galaisière, Guillaume J. https...</td>\n",
       "      <td>Voyage Dans Les Mers De L'Inde</td>\n",
       "      <td>Neue Sammlung von Reisebeschreibungen; Zweyter...</td>\n",
       "      <td>&lt;&lt;Le Gentils&gt;&gt; Reisen in den indischen Meeren ...</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>...</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Reisebericht</td>\n",
       "      <td>&lt;&lt;Chappe d'Auteroche&gt;&gt; Reise nach Mexiko und C...</td>\n",
       "      <td>Chappe D'Auteroche, Jean: Voyage en Californie...</td>\n",
       "      <td>Südostasien; Reise; Geschichte 1761-1769; Le G...</td>\n",
       "      <td>TravelogueD18 Nordamerika Asien</td>\n",
       "      <td>Zusammenstellung: ohne übergeordnetem Titel vo...</td>\n",
       "      <td>364251-B.2; MAG</td>\n",
       "      <td>ZKAR</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "<p>5 rows × 48 columns</p>\n",
       "</div>"
      ],
      "text/plain": [
       "             Systemnummer              MMS-ID  \\\n",
       "Systemnummer                                    \n",
       "AC03114611     AC03114611  990004456580603338   \n",
       "AC03826205     AC03826205  990005906350603338   \n",
       "AC09792500     AC09792500  990029473670603338   \n",
       "AC09836279     AC09836279  990029921640603338   \n",
       "AC07705435     AC07705435  990016481420603338   \n",
       "\n",
       "                                                       Volltext  \\\n",
       "Systemnummer                                                      \n",
       "AC03114611               http://data.onb.ac.at/ABO/%2BZ42124907   \n",
       "AC03826205    http://data.onb.ac.at/ABO/%2BZ59423102;\\nhttp:...   \n",
       "AC09792500              http://data.onb.ac.at/ABO/%2BZ148207602   \n",
       "AC09836279              http://data.onb.ac.at/ABO/%2BZ124931607   \n",
       "AC07705435               http://data.onb.ac.at/ABO/%2BZ69824303   \n",
       "\n",
       "                             Barcode  \\\n",
       "Systemnummer                           \n",
       "AC03114611                 Z42124907   \n",
       "AC03826205    Z59423102;\\nZ171040301   \n",
       "AC09792500                Z148207602   \n",
       "AC09836279                Z124931607   \n",
       "AC07705435                 Z69824303   \n",
       "\n",
       "                                             Verfasser ; GND-ID  \\\n",
       "Systemnummer                                                      \n",
       "AC03114611                              Keate, George 100176542   \n",
       "AC03826205      Phillip, Arthur https://d-nb.info/gnd/118982796   \n",
       "AC09792500         Cranz, David https://d-nb.info/gnd/116717548   \n",
       "AC09836279         Ellis, Henry https://d-nb.info/gnd/119218666   \n",
       "AC07705435    Le Gentil de la Galaisière, Guillaume J. https...   \n",
       "\n",
       "                                                      Werktitel  \\\n",
       "Systemnummer                                                      \n",
       "AC03114611    Account of the Pelew islands; 1788; http://via...   \n",
       "AC03826205    <<The>> voyage of Governor Phillip to Botany B...   \n",
       "AC09792500                                                  NaN   \n",
       "AC09836279    <<A>> voyage to Hudson's-Bay, by the Dobbs Gal...   \n",
       "AC07705435                       Voyage Dans Les Mers De L'Inde   \n",
       "\n",
       "                                      Reihentitel ; Bandzählung  \\\n",
       "Systemnummer                                                      \n",
       "AC03114611    Neuere Geschichte der See- und Land-Reisen; Er...   \n",
       "AC03826205    Magazin von merkwürdigen neuen Reisebeschreibu...   \n",
       "AC09792500    Bibliothek der neuesten Reisebeschreibungen; E...   \n",
       "AC09836279    Sammlung neuer und merkwürdiger Reisen zu Wass...   \n",
       "AC07705435    Neue Sammlung von Reisebeschreibungen; Zweyter...   \n",
       "\n",
       "             Haupttitel ; Titelzusatz ; Verantwortlichkeitsangabe  \\\n",
       "Systemnummer                                                        \n",
       "AC03114611    Nachrichten von den Pelew=Jnseln in der Westge...     \n",
       "AC03826205    Gouverneur Phillips Reise nach Neu=Südwallis; ...     \n",
       "AC09792500    <<David Cranz>> Historie von Grönland enthalte...     \n",
       "AC09836279    Reise nach Hudsons Meerbusen,; welche von zwey...     \n",
       "AC07705435    <<Le Gentils>> Reisen in den indischen Meeren ...     \n",
       "\n",
       "             Bandzählung ; Titel des Bandes         Ausgabe  ...  \\\n",
       "Systemnummer                                                 ...   \n",
       "AC03114611                              NaN             NaN  ...   \n",
       "AC03826205                              NaN             NaN  ...   \n",
       "AC09792500                              NaN  Zweite Ausgabe  ...   \n",
       "AC09836279                              NaN             NaN  ...   \n",
       "AC07705435                              NaN             NaN  ...   \n",
       "\n",
       "                                     Widmungsempfänger ; GND-ID  \\\n",
       "Systemnummer                                                      \n",
       "AC03114611    Friedrich Wilhelm; https://d-nb.info/gnd/11869...   \n",
       "AC03826205                                                  NaN   \n",
       "AC09792500                                                  NaN   \n",
       "AC09836279    Friedrich Ludwig; https://d-nb.info/gnd/120667886   \n",
       "AC07705435                                                  NaN   \n",
       "\n",
       "             Art des Inhalts  \\\n",
       "Systemnummer                   \n",
       "AC03114611      Reisebericht   \n",
       "AC03826205      Reisebericht   \n",
       "AC09792500               NaN   \n",
       "AC09836279      Reisebericht   \n",
       "AC07705435      Reisebericht   \n",
       "\n",
       "                                                         Inhalt  \\\n",
       "Systemnummer                                                      \n",
       "AC03114611                                                  NaN   \n",
       "AC03826205    Shortlands, Watts und Marshalls Rückreisen von...   \n",
       "AC09792500                                                  NaN   \n",
       "AC09836279                                                  NaN   \n",
       "AC07705435    <<Chappe d'Auteroche>> Reise nach Mexiko und C...   \n",
       "\n",
       "                                              Werke in Relation  \\\n",
       "Systemnummer                                                      \n",
       "AC03114611                                                  NaN   \n",
       "AC03826205                                                  NaN   \n",
       "AC09792500                                                  NaN   \n",
       "AC09836279                                                  NaN   \n",
       "AC07705435    Chappe D'Auteroche, Jean: Voyage en Californie...   \n",
       "\n",
       "                                                    Schlagworte  \\\n",
       "Systemnummer                                                      \n",
       "AC03114611    Palauinseln; Entdeckung; Reisebericht 1783; En...   \n",
       "AC03826205    Phillip, Arthur; New South Wales; Reisebericht...   \n",
       "AC09792500    Grönland; Geschichte 1761-1762; Reise; Topografie   \n",
       "AC09836279    Forschungsreise; Hudson-Baygebiet; Moore, Will...   \n",
       "AC07705435    Südostasien; Reise; Geschichte 1761-1769; Le G...   \n",
       "\n",
       "                                       Marker  \\\n",
       "Systemnummer                                    \n",
       "AC03114611             TravelogueD18 Ozeanien   \n",
       "AC03826205             TravelogueD18 Ozeanien   \n",
       "AC09792500               TravelogueD18 Arktis   \n",
       "AC09836279          TravelogueD18 Nordamerika   \n",
       "AC07705435    TravelogueD18 Nordamerika Asien   \n",
       "\n",
       "                                               Zusammenstellung  \\\n",
       "Systemnummer                                                      \n",
       "AC03114611                                                  NaN   \n",
       "AC03826205    Zusammenstellung: ohne übergeordnetem Titel vo...   \n",
       "AC09792500                                                  NaN   \n",
       "AC09836279                                                  NaN   \n",
       "AC07705435    Zusammenstellung: ohne übergeordnetem Titel vo...   \n",
       "\n",
       "                                                       Signatur    Standort  \\\n",
       "Systemnummer                                                                  \n",
       "AC03114611          361949-B.1; MAG .- UNASSIGNED .- UNASSIGNED        ZKAR   \n",
       "AC03826205    303755-A.1; MAG .- 276879-A.1; MAG .- 276879-A...  ZFID; ZALT   \n",
       "AC09792500                                      251329-B.1; MAG        ZFID   \n",
       "AC09836279        251276-B.1; MAG .- 361.900-B.Kar-; UNASSIGNED  ZFID; ZKAR   \n",
       "AC07705435                                      364251-B.2; MAG        ZKAR   \n",
       "\n",
       "             VD17  \n",
       "Systemnummer       \n",
       "AC03114611    NaN  \n",
       "AC03826205    NaN  \n",
       "AC09792500    NaN  \n",
       "AC09836279    NaN  \n",
       "AC07705435    NaN  \n",
       "\n",
       "[5 rows x 48 columns]"
      ]
     },
     "execution_count": 4,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "old.head()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {},
   "outputs": [],
   "source": [
    "new = pd.read_excel('./travelogues_extraction/script/output/TravelogueD18_script_output_2020-07-17-17:48:57_20200707.xlsx', index_col=0, dtype=str)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<style scoped>\n",
       "    .dataframe tbody tr th:only-of-type {\n",
       "        vertical-align: middle;\n",
       "    }\n",
       "\n",
       "    .dataframe tbody tr th {\n",
       "        vertical-align: top;\n",
       "    }\n",
       "\n",
       "    .dataframe thead th {\n",
       "        text-align: right;\n",
       "    }\n",
       "</style>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>Systemnummer</th>\n",
       "      <th>MMS-ID</th>\n",
       "      <th>Volltext</th>\n",
       "      <th>Barcode</th>\n",
       "      <th>VerfasserGND ; GND-ID</th>\n",
       "      <th>Werktitel</th>\n",
       "      <th>Reihentitel ; Bandzählung</th>\n",
       "      <th>Haupttitel ; Titelzusatz ; Verantwortlichkeitsangabe</th>\n",
       "      <th>Bandzählung ; Titel des Bandes</th>\n",
       "      <th>Ausgabe</th>\n",
       "      <th>...</th>\n",
       "      <th>Widmungsempfänger ; GND-ID</th>\n",
       "      <th>Art des Inhalts</th>\n",
       "      <th>Inhalt</th>\n",
       "      <th>Werke in Relation</th>\n",
       "      <th>Schlagworte</th>\n",
       "      <th>Marker</th>\n",
       "      <th>Zusammenstellung</th>\n",
       "      <th>Signatur</th>\n",
       "      <th>Standort</th>\n",
       "      <th>VD17</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>AC03114611</th>\n",
       "      <td>AC03114611</td>\n",
       "      <td>990004456580603338</td>\n",
       "      <td>http://data.onb.ac.at/ABO/%2BZ42124907</td>\n",
       "      <td>Z42124907</td>\n",
       "      <td>Keate, George ; http://d-nb.info/gnd/124956432</td>\n",
       "      <td>Account of the Pelew islands ; 1788 ; http://v...</td>\n",
       "      <td>Neuere Geschichte der See- und Land-Reisen ; E...</td>\n",
       "      <td>Nachrichten von den Pelew=Jnseln in der Westge...</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>...</td>\n",
       "      <td>Friedrich Wilhelm ; http://d-nb.info/gnd/11869...</td>\n",
       "      <td>Reisebericht</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Palauinseln ; Entdeckung ; Reisebericht 1783 ;...</td>\n",
       "      <td>TravelogueD18 Ozeanien</td>\n",
       "      <td>NaN</td>\n",
       "      <td>361949-B.1 MAG .- UNASSIGNED .- UNASSIGNED</td>\n",
       "      <td>ZKAR ; ZKAR ; ZKAR</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>AC03826205</th>\n",
       "      <td>AC03826205</td>\n",
       "      <td>990005906350603338</td>\n",
       "      <td>http://data.onb.ac.at/ABO/%2BZ59423102;\\nhttp:...</td>\n",
       "      <td>Z59423102;\\nZ171040301</td>\n",
       "      <td>Phillip, Arthur ; http://d-nb.info/gnd/118982796</td>\n",
       "      <td>&lt;&lt;The&gt;&gt; voyage of Governor Phillip to Botany B...</td>\n",
       "      <td>Magazin von merkwürdigen neuen Reisebeschreibu...</td>\n",
       "      <td>Gouverneur Phillips Reise nach Neu=Südwallis ;...</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>...</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Reisebericht</td>\n",
       "      <td>Shortlands, Watts und Marshalls Rückreisen von...</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Phillip, Arthur ; New South Wales ; Reiseberic...</td>\n",
       "      <td>TravelogueD18 Ozeanien ; Zusammenstellung: ohn...</td>\n",
       "      <td>Zusammenstellung: ohne übergeordnetem Titel vo...</td>\n",
       "      <td>303755-A.1 MAG .- 276879-A.1 MAG .- 276879-A,1...</td>\n",
       "      <td>ZALT ; ZFID ; ZFID</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>AC09792500</th>\n",
       "      <td>AC09792500</td>\n",
       "      <td>990029473670603338</td>\n",
       "      <td>http://data.onb.ac.at/ABO/%2BZ148207602</td>\n",
       "      <td>Z148207602</td>\n",
       "      <td>Cranz, David ; http://d-nb.info/gnd/116717548</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Bibliothek der neuesten Reisebeschreibungen ; ...</td>\n",
       "      <td>&lt;&lt;David Cranz&gt;&gt; Historie von Grönland enthalte...</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Zweite Ausgabe</td>\n",
       "      <td>...</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Grönland ; Geschichte 1761-1762 ; Reise ; Topo...</td>\n",
       "      <td>0 ; ONB-AK-RETRO ; TravelogueD18 Arktis</td>\n",
       "      <td>NaN</td>\n",
       "      <td>251329-B.1 MAG</td>\n",
       "      <td>ZFID</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>AC09836279</th>\n",
       "      <td>AC09836279</td>\n",
       "      <td>990029921640603338</td>\n",
       "      <td>http://data.onb.ac.at/ABO/%2BZ124931607</td>\n",
       "      <td>Z124931607</td>\n",
       "      <td>Ellis, Henry ; http://d-nb.info/gnd/119218666</td>\n",
       "      <td>&lt;&lt;A&gt;&gt; voyage to Hudson's-Bay, by the Dobbs Gal...</td>\n",
       "      <td>Sammlung neuer und merkwürdiger Reisen zu Wass...</td>\n",
       "      <td>Reise nach Hudsons Meerbusen, ; welche von zwe...</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>...</td>\n",
       "      <td>Friedrich Ludwig ; http://d-nb.info/gnd/120667886</td>\n",
       "      <td>Reisebericht</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Forschungsreise ; Hudson-Baygebiet ; Moore, Wi...</td>\n",
       "      <td>0 ; ONB-AK-RETRO ; TravelogueD18 Nordamerika</td>\n",
       "      <td>NaN</td>\n",
       "      <td>251276-B.1 MAG .- 361.900-B.Kar- UNASSIGNED</td>\n",
       "      <td>ZFID ; ZKAR</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>AC07705435</th>\n",
       "      <td>AC07705435</td>\n",
       "      <td>990016481420603338</td>\n",
       "      <td>http://data.onb.ac.at/ABO/%2BZ69824303</td>\n",
       "      <td>Z69824303</td>\n",
       "      <td>Le Gentil de la Galaisière, Guillaume J. ; htt...</td>\n",
       "      <td>Voyage Dans Les Mers De L'Inde</td>\n",
       "      <td>Neue Sammlung von Reisebeschreibungen ; Zweyte...</td>\n",
       "      <td>&lt;&lt;Le Gentils&gt;&gt; Reisen in den indischen Meeren ...</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>...</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Reisebericht</td>\n",
       "      <td>&lt;&lt;Chappe d'Auteroche&gt;&gt; Reise nach Mexiko und C...</td>\n",
       "      <td>Chappe D'Auteroche, Jean ; Voyage en Californi...</td>\n",
       "      <td>Südostasien ; Reise ; Geschichte 1761-1769 ; L...</td>\n",
       "      <td>TravelogueD18 Nordamerika Asien ; Zusammenstel...</td>\n",
       "      <td>Zusammenstellung: ohne übergeordnetem Titel vo...</td>\n",
       "      <td>364251-B.2 MAG</td>\n",
       "      <td>ZKAR</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "<p>5 rows × 48 columns</p>\n",
       "</div>"
      ],
      "text/plain": [
       "           Systemnummer              MMS-ID  \\\n",
       "AC03114611   AC03114611  990004456580603338   \n",
       "AC03826205   AC03826205  990005906350603338   \n",
       "AC09792500   AC09792500  990029473670603338   \n",
       "AC09836279   AC09836279  990029921640603338   \n",
       "AC07705435   AC07705435  990016481420603338   \n",
       "\n",
       "                                                     Volltext  \\\n",
       "AC03114611             http://data.onb.ac.at/ABO/%2BZ42124907   \n",
       "AC03826205  http://data.onb.ac.at/ABO/%2BZ59423102;\\nhttp:...   \n",
       "AC09792500            http://data.onb.ac.at/ABO/%2BZ148207602   \n",
       "AC09836279            http://data.onb.ac.at/ABO/%2BZ124931607   \n",
       "AC07705435             http://data.onb.ac.at/ABO/%2BZ69824303   \n",
       "\n",
       "                           Barcode  \\\n",
       "AC03114611               Z42124907   \n",
       "AC03826205  Z59423102;\\nZ171040301   \n",
       "AC09792500              Z148207602   \n",
       "AC09836279              Z124931607   \n",
       "AC07705435               Z69824303   \n",
       "\n",
       "                                        VerfasserGND ; GND-ID  \\\n",
       "AC03114611     Keate, George ; http://d-nb.info/gnd/124956432   \n",
       "AC03826205   Phillip, Arthur ; http://d-nb.info/gnd/118982796   \n",
       "AC09792500      Cranz, David ; http://d-nb.info/gnd/116717548   \n",
       "AC09836279      Ellis, Henry ; http://d-nb.info/gnd/119218666   \n",
       "AC07705435  Le Gentil de la Galaisière, Guillaume J. ; htt...   \n",
       "\n",
       "                                                    Werktitel  \\\n",
       "AC03114611  Account of the Pelew islands ; 1788 ; http://v...   \n",
       "AC03826205  <<The>> voyage of Governor Phillip to Botany B...   \n",
       "AC09792500                                                NaN   \n",
       "AC09836279  <<A>> voyage to Hudson's-Bay, by the Dobbs Gal...   \n",
       "AC07705435                     Voyage Dans Les Mers De L'Inde   \n",
       "\n",
       "                                    Reihentitel ; Bandzählung  \\\n",
       "AC03114611  Neuere Geschichte der See- und Land-Reisen ; E...   \n",
       "AC03826205  Magazin von merkwürdigen neuen Reisebeschreibu...   \n",
       "AC09792500  Bibliothek der neuesten Reisebeschreibungen ; ...   \n",
       "AC09836279  Sammlung neuer und merkwürdiger Reisen zu Wass...   \n",
       "AC07705435  Neue Sammlung von Reisebeschreibungen ; Zweyte...   \n",
       "\n",
       "           Haupttitel ; Titelzusatz ; Verantwortlichkeitsangabe  \\\n",
       "AC03114611  Nachrichten von den Pelew=Jnseln in der Westge...     \n",
       "AC03826205  Gouverneur Phillips Reise nach Neu=Südwallis ;...     \n",
       "AC09792500  <<David Cranz>> Historie von Grönland enthalte...     \n",
       "AC09836279  Reise nach Hudsons Meerbusen, ; welche von zwe...     \n",
       "AC07705435  <<Le Gentils>> Reisen in den indischen Meeren ...     \n",
       "\n",
       "           Bandzählung ; Titel des Bandes         Ausgabe  ...  \\\n",
       "AC03114611                            NaN             NaN  ...   \n",
       "AC03826205                            NaN             NaN  ...   \n",
       "AC09792500                            NaN  Zweite Ausgabe  ...   \n",
       "AC09836279                            NaN             NaN  ...   \n",
       "AC07705435                            NaN             NaN  ...   \n",
       "\n",
       "                                   Widmungsempfänger ; GND-ID Art des Inhalts  \\\n",
       "AC03114611  Friedrich Wilhelm ; http://d-nb.info/gnd/11869...    Reisebericht   \n",
       "AC03826205                                                NaN    Reisebericht   \n",
       "AC09792500                                                NaN             NaN   \n",
       "AC09836279  Friedrich Ludwig ; http://d-nb.info/gnd/120667886    Reisebericht   \n",
       "AC07705435                                                NaN    Reisebericht   \n",
       "\n",
       "                                                       Inhalt  \\\n",
       "AC03114611                                                NaN   \n",
       "AC03826205  Shortlands, Watts und Marshalls Rückreisen von...   \n",
       "AC09792500                                                NaN   \n",
       "AC09836279                                                NaN   \n",
       "AC07705435  <<Chappe d'Auteroche>> Reise nach Mexiko und C...   \n",
       "\n",
       "                                            Werke in Relation  \\\n",
       "AC03114611                                                NaN   \n",
       "AC03826205                                                NaN   \n",
       "AC09792500                                                NaN   \n",
       "AC09836279                                                NaN   \n",
       "AC07705435  Chappe D'Auteroche, Jean ; Voyage en Californi...   \n",
       "\n",
       "                                                  Schlagworte  \\\n",
       "AC03114611  Palauinseln ; Entdeckung ; Reisebericht 1783 ;...   \n",
       "AC03826205  Phillip, Arthur ; New South Wales ; Reiseberic...   \n",
       "AC09792500  Grönland ; Geschichte 1761-1762 ; Reise ; Topo...   \n",
       "AC09836279  Forschungsreise ; Hudson-Baygebiet ; Moore, Wi...   \n",
       "AC07705435  Südostasien ; Reise ; Geschichte 1761-1769 ; L...   \n",
       "\n",
       "                                                       Marker  \\\n",
       "AC03114611                             TravelogueD18 Ozeanien   \n",
       "AC03826205  TravelogueD18 Ozeanien ; Zusammenstellung: ohn...   \n",
       "AC09792500            0 ; ONB-AK-RETRO ; TravelogueD18 Arktis   \n",
       "AC09836279       0 ; ONB-AK-RETRO ; TravelogueD18 Nordamerika   \n",
       "AC07705435  TravelogueD18 Nordamerika Asien ; Zusammenstel...   \n",
       "\n",
       "                                             Zusammenstellung  \\\n",
       "AC03114611                                                NaN   \n",
       "AC03826205  Zusammenstellung: ohne übergeordnetem Titel vo...   \n",
       "AC09792500                                                NaN   \n",
       "AC09836279                                                NaN   \n",
       "AC07705435  Zusammenstellung: ohne übergeordnetem Titel vo...   \n",
       "\n",
       "                                                     Signatur  \\\n",
       "AC03114611         361949-B.1 MAG .- UNASSIGNED .- UNASSIGNED   \n",
       "AC03826205  303755-A.1 MAG .- 276879-A.1 MAG .- 276879-A,1...   \n",
       "AC09792500                                     251329-B.1 MAG   \n",
       "AC09836279        251276-B.1 MAG .- 361.900-B.Kar- UNASSIGNED   \n",
       "AC07705435                                     364251-B.2 MAG   \n",
       "\n",
       "                      Standort VD17  \n",
       "AC03114611  ZKAR ; ZKAR ; ZKAR  NaN  \n",
       "AC03826205  ZALT ; ZFID ; ZFID  NaN  \n",
       "AC09792500                ZFID  NaN  \n",
       "AC09836279         ZFID ; ZKAR  NaN  \n",
       "AC07705435                ZKAR  NaN  \n",
       "\n",
       "[5 rows x 48 columns]"
      ]
     },
     "execution_count": 6,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "new.head()"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "## Basic size etc"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 7,
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "(800, 48) (800, 48)\n"
     ]
    }
   ],
   "source": [
    "print(new.shape, old.shape)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 8,
   "metadata": {},
   "outputs": [],
   "source": [
    "import numpy as np"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 9,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "800"
      ]
     },
     "execution_count": 9,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "np.sum(new.index == old.index)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 10,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "0"
      ]
     },
     "execution_count": 10,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "old.Systemnummer.isna().sum()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 11,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "37"
      ]
     },
     "execution_count": 11,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "new.Systemnummer.isna().sum()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 12,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "800"
      ]
     },
     "execution_count": 12,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "np.sum(new.index == old.index)"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "## Compare only those, that have been scraped in new"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 13,
   "metadata": {},
   "outputs": [],
   "source": [
    "new_worked = new[~new.Systemnummer.isna()]"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 14,
   "metadata": {},
   "outputs": [],
   "source": [
    "old_comparision = old[old.Systemnummer.isin(new_worked.Systemnummer)]"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 15,
   "metadata": {},
   "outputs": [],
   "source": [
    "assert new_worked.shape == old_comparision.shape"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 16,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "(763, 48)"
      ]
     },
     "execution_count": 16,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "new_worked.shape"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 17,
   "metadata": {},
   "outputs": [],
   "source": [
    "assert np.sum(new_worked.index == old_comparision.index) == new_worked.shape[0]"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "## Actual data"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 18,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "47"
      ]
     },
     "execution_count": 18,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "np.sum(new_worked.columns == old_comparision.columns)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 19,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "(48,)"
      ]
     },
     "execution_count": 19,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "new_worked.columns.shape"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 20,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "(48,)"
      ]
     },
     "execution_count": 20,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "old_comparision.columns.shape"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 21,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "Index(['Verfasser ; GND-ID'], dtype='object')"
      ]
     },
     "execution_count": 21,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "old_comparision.columns.difference(new_worked.columns)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 22,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "Index(['VerfasserGND ; GND-ID'], dtype='object')"
      ]
     },
     "execution_count": 22,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "new_worked.columns.difference(old_comparision.columns)"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "ups"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 23,
   "metadata": {},
   "outputs": [],
   "source": [
    "new_worked = new_worked.rename(columns={'VerfasserGND ; GND-ID': 'Verfasser ; GND-ID'})"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 24,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "Index([], dtype='object')"
      ]
     },
     "execution_count": 24,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "old_comparision.columns.difference(new_worked.columns)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 25,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "Index([], dtype='object')"
      ]
     },
     "execution_count": 25,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "new_worked.columns.difference(old_comparision.columns)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 27,
   "metadata": {},
   "outputs": [],
   "source": [
    "def compare(column: str, left: pd.DataFrame, right: pd.DataFrame) -> pd.DataFrame:\n",
    "    left = left[column].astype(str)\n",
    "    right = right[column].astype(str)\n",
    "    ok = left != right\n",
    "    left = left[ok]\n",
    "    right = right[ok]\n",
    "    left.name = 'old-' + column\n",
    "    right.name = 'new-' + column\n",
    "    df =  pd.concat([left, right], axis=1)\n",
    "    return df.astype(str)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 42,
   "metadata": {},
   "outputs": [],
   "source": [
    "old_comparision = old_comparision.astype(str)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 43,
   "metadata": {},
   "outputs": [],
   "source": [
    "for c in old_comparision.columns:\n",
    "    old_comparision[c] = old_comparision[c].str.replace('https:', 'http:')"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 44,
   "metadata": {},
   "outputs": [],
   "source": [
    "comparision_by_columns = {\n",
    "    column: compare(column, old_comparision, new_worked)\n",
    "    for column in old_comparision.columns\n",
    "}"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 45,
   "metadata": {},
   "outputs": [],
   "source": [
    "comparision_sizes = {\n",
    "    column: df.shape[0]\n",
    "    for column, df in comparision_by_columns.items()\n",
    "}"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 46,
   "metadata": {},
   "outputs": [],
   "source": [
    "not_the_same = {\n",
    "    c: s for c, s in comparision_sizes.items() if s > 0\n",
    "}"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 47,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "{'Volltext': 2,\n",
       " 'Verfasser ; GND-ID': 668,\n",
       " 'Werktitel': 441,\n",
       " 'Reihentitel ; Bandzählung': 82,\n",
       " 'Haupttitel ; Titelzusatz ; Verantwortlichkeitsangabe': 677,\n",
       " 'Bandzählung ; Titel des Bandes': 153,\n",
       " 'Verlagsort': 3,\n",
       " 'Verlagsort normiert ; GND-ID': 740,\n",
       " 'Druckort normiert ; GND-ID': 330,\n",
       " 'Verleger und Drucker': 66,\n",
       " 'Verleger normiert ; GND-ID': 694,\n",
       " 'Drucker ; GND-ID': 324,\n",
       " 'Erscheinungsjahr': 8,\n",
       " 'Kollation': 1,\n",
       " 'Illustrationen': 9,\n",
       " 'Anzahl Illustrationen': 411,\n",
       " 'Anzahl Karten': 186,\n",
       " 'Anm. zu Illustrationen': 12,\n",
       " 'Bibliografie': 1,\n",
       " 'Anmerkungen': 1,\n",
       " 'Anm. zu Kollation': 6,\n",
       " 'Sprache': 2,\n",
       " 'Originalsprache': 29,\n",
       " 'Bemerkung zur Sprache': 10,\n",
       " 'Standardnummer': 6,\n",
       " 'Weitere Verfasser ; GND-ID': 90,\n",
       " 'Herausgeber ; GND-ID': 129,\n",
       " 'Übersetzer ; GND-ID': 172,\n",
       " 'Beiträger ; GND-ID': 57,\n",
       " 'Weitere Beteiligte ; GND-ID': 17,\n",
       " 'Illustratoren ; GND-ID': 202,\n",
       " 'Widmender ; GND-ID': 70,\n",
       " 'Widmungsempfänger ; GND-ID': 92,\n",
       " 'Art des Inhalts': 136,\n",
       " 'Inhalt': 12,\n",
       " 'Werke in Relation': 98,\n",
       " 'Schlagworte': 744,\n",
       " 'Marker': 570,\n",
       " 'Zusammenstellung': 1,\n",
       " 'Signatur': 758,\n",
       " 'Standort': 244,\n",
       " 'VD17': 7}"
      ]
     },
     "execution_count": 47,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "not_the_same"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 56,
   "metadata": {},
   "outputs": [],
   "source": [
    "ci = iter(not_the_same.keys())"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 168,
   "metadata": {},
   "outputs": [
    {
     "ename": "StopIteration",
     "evalue": "",
     "output_type": "error",
     "traceback": [
      "\u001b[0;31m---------------------------------------------------------------------------\u001b[0m",
      "\u001b[0;31mStopIteration\u001b[0m                             Traceback (most recent call last)",
      "\u001b[0;32m<ipython-input-168-04271bbf06e2>\u001b[0m in \u001b[0;36m<module>\u001b[0;34m\u001b[0m\n\u001b[0;32m----> 1\u001b[0;31m \u001b[0mcd\u001b[0m \u001b[0;34m=\u001b[0m \u001b[0mcomparision_by_columns\u001b[0m\u001b[0;34m[\u001b[0m\u001b[0mnext\u001b[0m\u001b[0;34m(\u001b[0m\u001b[0mci\u001b[0m\u001b[0;34m)\u001b[0m\u001b[0;34m]\u001b[0m\u001b[0;34m\u001b[0m\u001b[0;34m\u001b[0m\u001b[0m\n\u001b[0m",
      "\u001b[0;31mStopIteration\u001b[0m: "
     ]
    }
   ],
   "source": [
    "cd = comparision_by_columns[next(ci)]"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 166,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<style scoped>\n",
       "    .dataframe tbody tr th:only-of-type {\n",
       "        vertical-align: middle;\n",
       "    }\n",
       "\n",
       "    .dataframe tbody tr th {\n",
       "        vertical-align: top;\n",
       "    }\n",
       "\n",
       "    .dataframe thead th {\n",
       "        text-align: right;\n",
       "    }\n",
       "</style>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>old-VD17</th>\n",
       "      <th>new-VD17</th>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Systemnummer</th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>AC13781336</th>\n",
       "      <td>VD18 90245792; vd18</td>\n",
       "      <td>VD18 90245792 ; vd18</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>AC13690893</th>\n",
       "      <td>VD18 90266536; urn:nbn:de:bvb:12-bsb10469449-5</td>\n",
       "      <td>urn:nbn:de:bvb:12-bsb10469449-5 ; VD18 90266536</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>AC13690886</th>\n",
       "      <td>urn:nbn:de:bvb:12-bsb10469448-5; VD18 90266528</td>\n",
       "      <td>urn:nbn:de:bvb:12-bsb10469448-5 ; VD18 90266528</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>AC03125444</th>\n",
       "      <td>urn:nbn:at:at-moz:2-68173; VD18 10196951</td>\n",
       "      <td>VD18 10196951 ; urn:nbn:at:at-moz:2-68173</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>AC03125437</th>\n",
       "      <td>VD18 10196951; urn:nbn:at:at-moz:2-68134</td>\n",
       "      <td>VD18 10196951 ; urn:nbn:at:at-moz:2-68134</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>AC15034985</th>\n",
       "      <td>NDSLARCHBUE0139703; VD18 11290722-001; FSLHB00...</td>\n",
       "      <td>VD18 11290722-001 ; FSLHB000037286 ; NDSLARCHB...</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>AC08513325</th>\n",
       "      <td>VD18 1057364X; urn:nbn:de:bvb:12-bsb10302394-3</td>\n",
       "      <td>urn:nbn:de:bvb:12-bsb10302394-3 ; VD18 1057364X</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "                                                       old-VD17  \\\n",
       "Systemnummer                                                      \n",
       "AC13781336                                  VD18 90245792; vd18   \n",
       "AC13690893       VD18 90266536; urn:nbn:de:bvb:12-bsb10469449-5   \n",
       "AC13690886       urn:nbn:de:bvb:12-bsb10469448-5; VD18 90266528   \n",
       "AC03125444             urn:nbn:at:at-moz:2-68173; VD18 10196951   \n",
       "AC03125437             VD18 10196951; urn:nbn:at:at-moz:2-68134   \n",
       "AC15034985    NDSLARCHBUE0139703; VD18 11290722-001; FSLHB00...   \n",
       "AC08513325       VD18 1057364X; urn:nbn:de:bvb:12-bsb10302394-3   \n",
       "\n",
       "                                                       new-VD17  \n",
       "Systemnummer                                                     \n",
       "AC13781336                                 VD18 90245792 ; vd18  \n",
       "AC13690893      urn:nbn:de:bvb:12-bsb10469449-5 ; VD18 90266536  \n",
       "AC13690886      urn:nbn:de:bvb:12-bsb10469448-5 ; VD18 90266528  \n",
       "AC03125444            VD18 10196951 ; urn:nbn:at:at-moz:2-68173  \n",
       "AC03125437            VD18 10196951 ; urn:nbn:at:at-moz:2-68134  \n",
       "AC15034985    VD18 11290722-001 ; FSLHB000037286 ; NDSLARCHB...  \n",
       "AC08513325      urn:nbn:de:bvb:12-bsb10302394-3 ; VD18 1057364X  "
      ]
     },
     "execution_count": 166,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "cd"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 167,
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "0 ~~~~~~~\n",
      "VD18 90245792; vd18\n",
      "-----------\n",
      "VD18 90245792 ; vd18\n",
      "-----------\n",
      "xxxxxxxxxxxxxxxxx\n",
      "1 ~~~~~~~\n",
      "VD18 90266536; urn:nbn:de:bvb:12-bsb10469449-5\n",
      "-----------\n",
      "urn:nbn:de:bvb:12-bsb10469449-5 ; VD18 90266536\n",
      "-----------\n",
      "xxxxxxxxxxxxxxxxx\n",
      "2 ~~~~~~~\n",
      "urn:nbn:de:bvb:12-bsb10469448-5; VD18 90266528\n",
      "-----------\n",
      "urn:nbn:de:bvb:12-bsb10469448-5 ; VD18 90266528\n",
      "-----------\n",
      "xxxxxxxxxxxxxxxxx\n"
     ]
    }
   ],
   "source": [
    "for i in range(3):\n",
    "    print(i, '~~~~~~~')\n",
    "    for v in cd.iloc[i]:\n",
    "        print(v)\n",
    "        print('-----------')\n",
    "    print('xxxxxxxxxxxxxxxxx')"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 67,
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "Zweytes Abtheilung; Des Grafen Beniowski Reise aus Kamtschatka über Kanton nach Europa\n",
      "Zweytes Abtheilung ; Des Grafen Beniowski Reise aus Kamtschatka über Kanton nach Europa\n"
     ]
    }
   ],
   "source": [
    "for v in c.iloc[0]:\n",
    "    print(v)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "diff = compare('MMS-ID', old_comparision, new_worked)"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "## Volltext"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "volltext_diff = compare('Volltext')"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "volltext_diff.old_value.is"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.7.3"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 4
}
